更新 Entware 遇到错误

一直在使用的路由器是自己刷的 AdancedTomato。今天更新其中安装的 Entware 的时候遇到了错误:“optware opkg wget: /opt/lib/libssl.so.1.1: no version information available (required by wget)”。这个错误是在更新了两三个软件包之后出现的。想来是 Entware 更新的时候没有做好过渡。

继续阅读全文

openSUSE Tumbleweed 本周更新 Linux Kernel 5.0.1/2、Mesa 19.0.0、systemd 241 和 KDE Plasma 5.15.3 等

openSUSE Tumbleweed 本周发布了 4 个快照(0314031503180320),主要更新了 Linux Kernel 5.0.1/2、Mesa 19.0.0、LibreOffice 6.2.2.1、SQLite 3.27.2、systemd 241 和 KDE Plasma 5.15.3 等等。

继续阅读全文

CentOS 7 中安装 PHP 7.3

CentOS 稳定的同时也有短板,官方没有更新某些组件的较新版本。目前 CentOS 7 中的 PHP 还是 5.4 版本,早已过了支持期。本来想坚持用到 CentOS 8 发布。可是 CentOS 8 似乎还遥遥无期,而 PHP 5.4 已经先被 WordPress 的插件嫌弃又被 WordPress 嫌弃了。那就更新吧。然而更新过程并不顺利,觉得还是有必要记录一下。

继续阅读全文